**************************************************
**************************************************
** Figure A5: Survival Analysis for Employment ***
**************************************************
**************************************************

use "${mystart}/Datasets/Panel Dataset_noBL.dta", clear
keep if followup==1

** i. Create variables **

** Duration of employment spell in months
gen months_match_main=duration_match_main/30
tab months_match_main

** Identify three groups of workers
gen survival_groups=.
replace survival_groups=0 if group_final_2==0
replace survival_groups=1 if group_final_2==1|group_final_2==2
replace survival_groups=3 if group_final_2==4&match_main==0
replace survival_groups=4 if group_final_2==4&match_main==1

label define lsurvival 0 "Control" 1 "VT" 3 "FT - did not start a job at the matched firm" 4 "FT - started a job at the matched firm"
label values survival_groups lsurvival


** ii. Graph **

stset months_match_main
sts graph if months_match_main<58, by(survival_groups) xlabel(0(6)60) xline(6, lpattern(dash) lcolor(red)) title("") xtitle("Months employed") ytitle("Share employed") legend(order(1 2 3 4) rows(1) lab(1 "Control") lab(2 "VT") lab(3 "FT - at the matched firm")) graphregion(color(white))


