%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% THIS FILE GENERATES ROMANO-WOLF ADJUSTED %%%
%%%         P-VALUES FOR ALL TABLES          %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all

%% TABLE 2: ATE Estimates, Training and Skills %%

% load data (for whole sample)
tNull = load('Datasets/RWboot_SKILLS.raw','-ascii');

% create vector of test statistics - these are the t-statistics from the
% original regression reported in the table
t = load('Datasets/RWboot_SKILLS_t.raw','-ascii');

pvalues = pValAdj(t,tNull);


%% TABLE 3: ITT Estimates, Labor Market Outcomes %%

%% COLUMNS 1 TO 4

% load data (for whole sample)
tNull = load('Datasets/RWboot_LABOR_ITT1.raw','-ascii');

% create vector of test statistics - these are the t-statistics from the
% original regression reported in the table
t = load('Datasets/RWboot_LABOR_ITT1_t.raw','-ascii');

pvalues = pValAdj(t,tNull);

%% COLUMN 5

% load data (for whole sample)
tNull = load('Datasets/RWboot_LABOR_ITT2.raw','-ascii');

% create vector of test statistics - these are the t-statistics from the
% original regression reported in the table
t = load('Datasets/RWboot_LABOR_ITT2_t.raw','-ascii');

pvalues = pValAdj(t,tNull);

%% COLUMN 6

% load data (for whole sample)
tNull = load('Datasets/RWboot_LABOR_ITT3.raw','-ascii');

% create vector of test statistics - these are the t-statistics from the
% original regression reported in the table
t = load('Datasets/RWboot_LABOR_ITT3_t.raw','-ascii');

pvalues = pValAdj(t,tNull);


%% TABLE 4: ATE Estimates, Labor Market Outcomes %%

%% COLUMNS 1 TO 4

% load data (for whole sample)
tNull = load('Datasets/RWboot_LABOR_ATE1.raw','-ascii');

% create vector of test statistics - these are the t-statistics from the
% original regression reported in the table
t = load('Datasets/RWboot_LABOR_ATE1_t.raw','-ascii');

pvalues = pValAdj(t,tNull);

%% COLUMN 5

% load data (for whole sample)
tNull = load('Datasets/RWboot_LABOR_ATE2.raw','-ascii');

% create vector of test statistics - these are the t-statistics from the
% original regression reported in the table
t = load('Datasets/RWboot_LABOR_ATE2_t.raw','-ascii');

pvalues = pValAdj(t,tNull);

%% COLUMN 6

% load data (for whole sample)
tNull = load('Datasets/RWboot_LABOR_ATE3.raw','-ascii');

% create vector of test statistics - these are the t-statistics from the
% original regression reported in the table
t = load('Datasets/RWboot_LABOR_ATE3_t.raw','-ascii');

pvalues = pValAdj(t,tNull);