************************************************
************************************************
*** Tackling Youth Unemployment: Evidence from a
***    Labor Market Experiment in Uganda     ***
***        -- REPLICATION FILES --           ***
************************************************
************************************************

clear all
clear matrix
set mem 200m
set more off
set maxvar 32000

*setting path to directory - please personalize your directories here
global mystart `"C:\Users\uctpvit\Dropbox (BRAC-IFS)\Vocational Training Files\Worker Follow-ups\ECMA Review\Replication files\Submitted Files"'


********************************
******* INDEX OF TABLES ********
********************************

*** i. MAIN TABLES ***

** Table 1: Baseline Balance on Worker Labor Market Outcomes -- STATA

** Table 2: ATE Estimates, Training and Skills -- STATA + MATLAB

** Table 3: ITT Estimates, Labor Market Outcomes -- STATA + MATLAB

** Table 4: ATE Estimates, Labor Market Outcomes -- STATA + MATLAB

** Table 5: ITT Estimates, Labor Mobility -- STATA

** Table 6: Baseline Estimates of the Job Ladder Search Model -- MATLAB

** Table 7: Employment and Other Firm Outcomes -- STATA

** Table 8: Counterfactual Analysis on Relative Importance of Mechanisms -- MATLAB

** Table 9: Internal Rate of Return -- EXCEL


*** ii. MAIN FIGURES ***

** Figure 1: Experimental Design -- n/a

** Figure 2: Timeline -- n/a

** Figure 3: Dynamics of Employment, Earnings and Wages -- STATA

** Figure 4: Counterfactuals -- MATLAB + EXCEL


*** iii. APPENDIX TABLES ***

** Table A1: Baseline Balance on Worker Characteristics -- STATA

** Table A2: External Validity -- STATA

** Table A3: The Mincerian Returns to Vocational Training, by Sector -- STATA

** Table A4: Characteristics of Apprenticeships -- STATA

** Table A5: Attrition -- STATA

** Table A6: Take-Up of Treatments -- STATA

** Table A7: Compliance with the Firm Training Treatment -- STATA

** Table A8: Worker Expectations -- STATA

** Table A9: Robustness Checks -- STATA

** Table A10: Alpha -- STATA

** Table A11: Effect of Skills on Employment -- STATA

** Table A12: Estimates in the Job Ladder Search Model, with F(r|T) -- MATLAB

** Table A13: Heterogeneous Impacts on Skills -- STATA

** Table A14: Parameter Estimates of the Job Ladder Search Model -- MATLAB


*** iv. APPENDIX FIGURES

** Figure A1a: Wage Distribution of Unskilled Workers at Baseline -- STATA

** Figure A1b: Worker-Firm Wage Subsidy Splits -- STATA

** Figure A2: Firm-provided Training Contract -- n/a

** Figure A3: Change in Worker Productivity Between Recruitment and First Follow-up -- STATA

** Figure A4: Sector Skills Test for Motor Mechanics -- n/a

** Figure A5: Survival Analysis for Employment -- STATA

** Figure A6: Comparison of Treatment Impacts to Meta-analysis by McKenzie [2017] -- EXCEL


***************************************
***************************************
***         DATA ANALYSIS           ***
***************************************
***************************************

**********************
*** i. MAIN TABLES ***
**********************

** Table 1: Baseline Balance on Worker Labor Market Outcomes **

do "${mystart}\Do-files\Data Analysis Files\Table 1.do"


** Table 2: ATE Estimates, Training and Skills **

do "${mystart}\Do-files\Data Analysis Files\Table 2.do"


** Table 3: ITT Estimates, Labor Market Outcomes **
** Table 4: ATE Estimates, Labor Market Outcomes **

do "${mystart}\Do-files\Data Analysis Files\Table 3 and 4.do"


** Table 5: ITT Estimates, Labor Mobility **

do "${mystart}\Do-files\Data Analysis Files\Table 5.do"


** Table 7: Employment and Other Firm Outcomes **

do "${mystart}\Do-files\Data Analysis Files\Table 7.do"


************************
*** ii. MAIN FIGURES ***
************************

** Figure 3: Dynamics of Employment, Earnings and Wages **

do "${mystart}\Do-files\Data Analysis Files\Figure 3.do"


****************************
*** iii. APPENDIX TABLES ***
****************************

** Table A1: Baseline Balance on Worker Characteristics **

do "${mystart}\Do-files\Data Analysis Files\Table A1.do"


** Table A2: External Validity ***

do "${mystart}\Do-files\Data Analysis Files\Table A2.do"


** Table A3: The Mincerian Returns to Vocational Training, by Sector ***

do "${mystart}\Do-files\Data Analysis Files\Table A3.do"


** Table A4: Characteristics of Apprenticeships **

do "${mystart}\Do-files\Data Analysis Files\Table A4.do"


*** TABLE A5: Attrition ***

do "${mystart}\Do-files\Data Analysis Files\Table A5.do"


** Table A6: Take-Up of Treatments **

do "${mystart}\Do-files\Data Analysis Files\Table A6.do"


** Table A7: Compliance with the Firm Training Treatment **

do "${mystart}\Do-files\Data Analysis Files\Table A7.do"


** Table A8: Worker Expectations **

do "${mystart}\Do-files\Data Analysis Files\Table A8.do"


** Table A9: Robustness Checks **

do "${mystart}\Do-files\Data Analysis Files\Table A9.do"


** Table A10: Alpha **

do "${mystart}\Do-files\Data Analysis Files\Table A10.do"


** Table A11: Effect of Skills on Employment **

do "${mystart}\Do-files\Data Analysis Files\Table A11.do"


** Table A13: Heterogeneous Impacts on Skills **

do "${mystart}\Do-files\Data Analysis Files\Table A13.do"


** Figure A1a: Wage Distribution of Unskilled Workers at Baseline **
**         Figure A1b: Worker-Firm Wage Subsidy Splits            **

do "${mystart}\Do-files\Data Analysis Files\Figure A1.do"


** Figure A3: Change in Worker Productivity **

do "${mystart}\Do-files\Data Analysis Files\Figure A3.do"


** Figure A5: Survival Analysis for Employment ***

do "${mystart}\Do-files\Data Analysis Files\Figure A5.do"


**********************
*** END OF DO-FILE ***
**********************

