***************************************************************
***************************************************************
** Table 1: Baseline Balance on Worker Labor Market Outcomes **
***************************************************************
***************************************************************

use "${mystart}/Datasets/Panel Dataset", clear

* 1a)Currently working
* 1b)Has worked in the last month
* 1c)Any wage employment in the last month
* 1d)Any self-employment in the last month
* 1e)Any casual employment in the last month 
* 1f)Total earnings in the last month

*** By treatment 

*number of observations
tab group_final_2 if followup==0

foreach var of varlist working worked_lastmonth worked_lastmonth_emp worked_lastmonth_selfemp worked_lastmonth_casual earnings_lastmonth_def  {

*means
local i=0
while `i'<=4 {
sum `var' if group_final_2==`i' & followup==0
local i=`i'+1
}

*standard errors and p-values on t-test
xi:reg `var' i.group_final_2 i.round_2 i.strata if followup==0, robust

*p-values on F-test (column regression)
test _Igroup_fin_1 _Igroup_fin_2 _Igroup_fin_3 _Igroup_fin_4
}

*p-values on F-test (row regression)
xi:reg training       working worked_lastmonth worked_lastmonth_emp worked_lastmonth_selfemp worked_lastmonth_casual earnings_lastmonth_def i.strata i.round_2 if followup==0, robust
xi:reg training_list  working worked_lastmonth worked_lastmonth_emp worked_lastmonth_selfemp worked_lastmonth_casual earnings_lastmonth_def i.strata if round_2==0 & followup==0, robust
xi:reg list           working worked_lastmonth worked_lastmonth_emp worked_lastmonth_selfemp worked_lastmonth_casual earnings_lastmonth_def i.strata i.round_2 if followup==0, robust
xi:reg mentorship     working worked_lastmonth worked_lastmonth_emp worked_lastmonth_selfemp worked_lastmonth_casual earnings_lastmonth_def i.strata i.round_2 if followup==0, robust


*** All workers

foreach var of varlist working worked_lastmonth worked_lastmonth_emp worked_lastmonth_selfemp worked_lastmonth_casual earnings_lastmonth_def {

*mean
sum `var' if followup==0

*standard error
xi:reg `var' i.round_2 i.strata if followup==0, robust
}
*
