**********************************************************
**********************************************************
** Table A1: Baseline Balance on Worker Characteristics **
**********************************************************
**********************************************************

use "${mystart}/Datasets/Panel Dataset", clear

* A1a) Age
* A1b) Married
* A1c) Has children
* A1d) Currently in school
* A1e) Ever attended vocational training
* A1f) Cognitive Test score

*** By treatment 

foreach var of varlist age married any_child in_school vocational_past score_high {

*means
local i=0
while `i'<=4 {
sum `var' if group_final_2==`i' & followup==0
local i=`i'+1
}

*standard errors and p-values on t-test
xi:reg `var' i.group_final_2 i.round_2 i.strata if followup==0, robust

*p-values on F-test (column regressions)
test _Igroup_fin_1 _Igroup_fin_2 _Igroup_fin_3 _Igroup_fin_4
}
*

*p-values on F-test (row regression)
xi:reg training       age sex married any_child in_school vocational_past score_high i.strata i.round_2 if followup==0, robust
xi:reg training_list  age sex married any_child in_school vocational_past score_high i.strata if round_2==0 & followup==0, robust
xi:reg list           age sex married any_child in_school vocational_past score_high i.strata i.round_2 if followup==0, robust
xi:reg mentorship     age sex married any_child in_school vocational_past score_high i.strata i.round_2 if followup==0, robust


*** All workers

foreach var of varlist age married any_child in_school vocational_past score_high {

*mean
sum `var' if followup==0

*standard error
xi:reg `var' i.round_2 i.strata if followup==0, robust
}
*
