**********************
**********************
** Table A10: Alpha **
**********************
**********************

use "${mystart}/Datasets/Spell Dataset.dta", clear


** i. Create dataset and variables **

** Drop spells that ENDED before NOVEMBER 2015 

drop spell_1 spell_2 spell_3 spell_4 spell_5 spell_6 spell_7 spell_8 spell_9 idate_m_3

gen day   = 01
gen month = 11  
gen year  = 2015 
gen mid_date_01=mdy(month, day, year) 
format %td mid_date_01
drop day month year

local i=1
while `i'<=9 {
gen spell_preNov15_`i'=.
replace spell_preNov15_`i'=1 if spell_end_`i'<mid_date_01 & spell_end_`i'!=.
tab spell_preNov15_`i'
local i=`i'+1
}

local i=1
while `i'<=9 {
foreach var of varlist spell_type_`i' - u2j_`i' {
replace `var'=. if spell_preNov15_`i'==1
}
drop spell_preNov15_`i'
local i=`i'+1
}
*

**Fix gaps
local i=2
while `i'<=9 {
local k=`i'-1
while `k'>=1 {
gen gap_`i'_`k'=1 if spell_type_`k'==. & spell_type_`i'!=.
replace spell_type_`k' = spell_type_`i' if gap_`i'_`k'==1
replace spell_start_`k' = spell_start_`i' if gap_`i'_`k'==1
replace spell_start_month_`k' = spell_start_month_`i' if gap_`i'_`k'==1
replace spell_start_year_`k' = spell_start_year_`i' if gap_`i'_`k'==1
replace spell_end_`k' = spell_end_`i' if gap_`i'_`k'==1
replace spell_end_month_`k' = spell_end_month_`i' if gap_`i'_`k'==1
replace spell_end_year_`k' = spell_end_year_`i' if gap_`i'_`k'==1
replace spell_stillengaged_`k' = spell_stillengaged_`i' if gap_`i'_`k'==1
replace spell_duration_`k' = spell_duration_`i' if gap_`i'_`k'==1
replace spell_sector_`k' = spell_sector_`i' if gap_`i'_`k'==1
replace spell_size_`k' = spell_size_`i' if gap_`i'_`k'==1
replace spell_earnings_`k' = spell_earnings_`i' if gap_`i'_`k'==1
replace spell_earnings_first_`k' = spell_earnings_first_`i' if gap_`i'_`k'==1
replace spell_hours_month_`k' = spell_hours_month_`i' if gap_`i'_`k'==1
replace j2j_`k' = j2j_`i' if gap_`i'_`k'==1
replace j2u_`k' = j2u_`i' if gap_`i'_`k'==1
replace u2j_`k' = u2j_`i' if gap_`i'_`k'==1
replace spell_type_`i'=. if gap_`i'_`k'==1
replace spell_start_`i'=. if gap_`i'_`k'==1
replace spell_start_month_`i'=. if gap_`i'_`k'==1
replace spell_start_year_`i'=. if gap_`i'_`k'==1
replace spell_end_`i'=. if gap_`i'_`k'==1
replace spell_end_month_`i'=. if gap_`i'_`k'==1
replace spell_end_year_`i'=. if gap_`i'_`k'==1
replace spell_stillengaged_`i'=. if gap_`i'_`k'==1
replace spell_duration_`i'=. if gap_`i'_`k'==1
replace spell_sector_`i'=. if gap_`i'_`k'==1
replace spell_size_`i'=. if gap_`i'_`k'==1
replace spell_earnings_`i'=. if gap_`i'_`k'==1
replace spell_earnings_first_`i'=. if gap_`i'_`k'==1
replace spell_hours_month_`i'=. if gap_`i'_`k'==1
replace j2j_`i'=. if gap_`i'_`k'==1
replace j2u_`i'=. if gap_`i'_`k'==1
replace u2j_`i'=. if gap_`i'_`k'==1
drop gap_`i'_`k'
local k=`k'-1
}
local i=`i'+1
}
*few more gaps
local i=2
while `i'<=9 {
local k=`i'-1
while `k'>=1 {
gen gap_`i'_`k'=1 if spell_type_`k'==. & spell_type_`i'!=.
replace spell_type_`k' = spell_type_`i' if gap_`i'_`k'==1
replace spell_start_`k' = spell_start_`i' if gap_`i'_`k'==1
replace spell_start_month_`k' = spell_start_month_`i' if gap_`i'_`k'==1
replace spell_start_year_`k' = spell_start_year_`i' if gap_`i'_`k'==1
replace spell_end_`k' = spell_end_`i' if gap_`i'_`k'==1
replace spell_end_month_`k' = spell_end_month_`i' if gap_`i'_`k'==1
replace spell_end_year_`k' = spell_end_year_`i' if gap_`i'_`k'==1
replace spell_stillengaged_`k' = spell_stillengaged_`i' if gap_`i'_`k'==1
replace spell_duration_`k' = spell_duration_`i' if gap_`i'_`k'==1
replace spell_sector_`k' = spell_sector_`i' if gap_`i'_`k'==1
replace spell_size_`k' = spell_size_`i' if gap_`i'_`k'==1
replace spell_earnings_`k' = spell_earnings_`i' if gap_`i'_`k'==1
replace spell_earnings_first_`k' = spell_earnings_first_`i' if gap_`i'_`k'==1
replace spell_hours_month_`k' = spell_hours_month_`i' if gap_`i'_`k'==1
replace j2j_`k' = j2j_`i' if gap_`i'_`k'==1
replace j2u_`k' = j2u_`i' if gap_`i'_`k'==1
replace u2j_`k' = u2j_`i' if gap_`i'_`k'==1
replace spell_type_`i'=. if gap_`i'_`k'==1
replace spell_start_`i'=. if gap_`i'_`k'==1
replace spell_start_month_`i'=. if gap_`i'_`k'==1
replace spell_start_year_`i'=. if gap_`i'_`k'==1
replace spell_end_`i'=. if gap_`i'_`k'==1
replace spell_end_month_`i'=. if gap_`i'_`k'==1
replace spell_end_year_`i'=. if gap_`i'_`k'==1
replace spell_stillengaged_`i'=. if gap_`i'_`k'==1
replace spell_duration_`i'=. if gap_`i'_`k'==1
replace spell_sector_`i'=. if gap_`i'_`k'==1
replace spell_size_`i'=. if gap_`i'_`k'==1
replace spell_earnings_`i'=. if gap_`i'_`k'==1
replace spell_earnings_first_`i'=. if gap_`i'_`k'==1
replace spell_hours_month_`i'=. if gap_`i'_`k'==1
replace j2j_`i'=. if gap_`i'_`k'==1
replace j2u_`i'=. if gap_`i'_`k'==1
replace u2j_`i'=. if gap_`i'_`k'==1
drop gap_`i'_`k'
local k=`k'-1
}
local i=`i'+1
}
*few more gaps
local i=2
while `i'<=9 {
local k=`i'-1
while `k'>=1 {
gen gap_`i'_`k'=1 if spell_type_`k'==. & spell_type_`i'!=.
replace spell_type_`k' = spell_type_`i' if gap_`i'_`k'==1
replace spell_start_`k' = spell_start_`i' if gap_`i'_`k'==1
replace spell_start_month_`k' = spell_start_month_`i' if gap_`i'_`k'==1
replace spell_start_year_`k' = spell_start_year_`i' if gap_`i'_`k'==1
replace spell_end_`k' = spell_end_`i' if gap_`i'_`k'==1
replace spell_end_month_`k' = spell_end_month_`i' if gap_`i'_`k'==1
replace spell_end_year_`k' = spell_end_year_`i' if gap_`i'_`k'==1
replace spell_stillengaged_`k' = spell_stillengaged_`i' if gap_`i'_`k'==1
replace spell_duration_`k' = spell_duration_`i' if gap_`i'_`k'==1
replace spell_sector_`k' = spell_sector_`i' if gap_`i'_`k'==1
replace spell_size_`k' = spell_size_`i' if gap_`i'_`k'==1
replace spell_earnings_`k' = spell_earnings_`i' if gap_`i'_`k'==1
replace spell_earnings_first_`k' = spell_earnings_first_`i' if gap_`i'_`k'==1
replace spell_hours_month_`k' = spell_hours_month_`i' if gap_`i'_`k'==1
replace j2j_`k' = j2j_`i' if gap_`i'_`k'==1
replace j2u_`k' = j2u_`i' if gap_`i'_`k'==1
replace u2j_`k' = u2j_`i' if gap_`i'_`k'==1
replace spell_type_`i'=. if gap_`i'_`k'==1
replace spell_start_`i'=. if gap_`i'_`k'==1
replace spell_start_month_`i'=. if gap_`i'_`k'==1
replace spell_start_year_`i'=. if gap_`i'_`k'==1
replace spell_end_`i'=. if gap_`i'_`k'==1
replace spell_end_month_`i'=. if gap_`i'_`k'==1
replace spell_end_year_`i'=. if gap_`i'_`k'==1
replace spell_stillengaged_`i'=. if gap_`i'_`k'==1
replace spell_duration_`i'=. if gap_`i'_`k'==1
replace spell_sector_`i'=. if gap_`i'_`k'==1
replace spell_size_`i'=. if gap_`i'_`k'==1
replace spell_earnings_`i'=. if gap_`i'_`k'==1
replace spell_earnings_first_`i'=. if gap_`i'_`k'==1
replace spell_hours_month_`i'=. if gap_`i'_`k'==1
replace j2j_`i'=. if gap_`i'_`k'==1
replace j2u_`i'=. if gap_`i'_`k'==1
replace u2j_`i'=. if gap_`i'_`k'==1
drop gap_`i'_`k'
local k=`k'-1
}
local i=`i'+1
}
*few more gaps
local i=2
while `i'<=9 {
local k=`i'-1
while `k'>=1 {
gen gap_`i'_`k'=1 if spell_type_`k'==. & spell_type_`i'!=.
replace spell_type_`k' = spell_type_`i' if gap_`i'_`k'==1
replace spell_start_`k' = spell_start_`i' if gap_`i'_`k'==1
replace spell_start_month_`k' = spell_start_month_`i' if gap_`i'_`k'==1
replace spell_start_year_`k' = spell_start_year_`i' if gap_`i'_`k'==1
replace spell_end_`k' = spell_end_`i' if gap_`i'_`k'==1
replace spell_end_month_`k' = spell_end_month_`i' if gap_`i'_`k'==1
replace spell_end_year_`k' = spell_end_year_`i' if gap_`i'_`k'==1
replace spell_stillengaged_`k' = spell_stillengaged_`i' if gap_`i'_`k'==1
replace spell_duration_`k' = spell_duration_`i' if gap_`i'_`k'==1
replace spell_sector_`k' = spell_sector_`i' if gap_`i'_`k'==1
replace spell_size_`k' = spell_size_`i' if gap_`i'_`k'==1
replace spell_earnings_`k' = spell_earnings_`i' if gap_`i'_`k'==1
replace spell_earnings_first_`k' = spell_earnings_first_`i' if gap_`i'_`k'==1
replace spell_hours_month_`k' = spell_hours_month_`i' if gap_`i'_`k'==1
replace j2j_`k' = j2j_`i' if gap_`i'_`k'==1
replace j2u_`k' = j2u_`i' if gap_`i'_`k'==1
replace u2j_`k' = u2j_`i' if gap_`i'_`k'==1
replace spell_type_`i'=. if gap_`i'_`k'==1
replace spell_start_`i'=. if gap_`i'_`k'==1
replace spell_start_month_`i'=. if gap_`i'_`k'==1
replace spell_start_year_`i'=. if gap_`i'_`k'==1
replace spell_end_`i'=. if gap_`i'_`k'==1
replace spell_end_month_`i'=. if gap_`i'_`k'==1
replace spell_end_year_`i'=. if gap_`i'_`k'==1
replace spell_stillengaged_`i'=. if gap_`i'_`k'==1
replace spell_duration_`i'=. if gap_`i'_`k'==1
replace spell_sector_`i'=. if gap_`i'_`k'==1
replace spell_size_`i'=. if gap_`i'_`k'==1
replace spell_earnings_`i'=. if gap_`i'_`k'==1
replace spell_earnings_first_`i'=. if gap_`i'_`k'==1
replace spell_hours_month_`i'=. if gap_`i'_`k'==1
replace j2j_`i'=. if gap_`i'_`k'==1
replace j2u_`i'=. if gap_`i'_`k'==1
replace u2j_`i'=. if gap_`i'_`k'==1
drop gap_`i'_`k'
local k=`k'-1
}
local i=`i'+1
}
*few more gaps
local i=2
while `i'<=9 {
local k=`i'-1
while `k'>=1 {
gen gap_`i'_`k'=1 if spell_type_`k'==. & spell_type_`i'!=.
replace spell_type_`k' = spell_type_`i' if gap_`i'_`k'==1
replace spell_start_`k' = spell_start_`i' if gap_`i'_`k'==1
replace spell_start_month_`k' = spell_start_month_`i' if gap_`i'_`k'==1
replace spell_start_year_`k' = spell_start_year_`i' if gap_`i'_`k'==1
replace spell_end_`k' = spell_end_`i' if gap_`i'_`k'==1
replace spell_end_month_`k' = spell_end_month_`i' if gap_`i'_`k'==1
replace spell_end_year_`k' = spell_end_year_`i' if gap_`i'_`k'==1
replace spell_stillengaged_`k' = spell_stillengaged_`i' if gap_`i'_`k'==1
replace spell_duration_`k' = spell_duration_`i' if gap_`i'_`k'==1
replace spell_sector_`k' = spell_sector_`i' if gap_`i'_`k'==1
replace spell_size_`k' = spell_size_`i' if gap_`i'_`k'==1
replace spell_earnings_`k' = spell_earnings_`i' if gap_`i'_`k'==1
replace spell_earnings_first_`k' = spell_earnings_first_`i' if gap_`i'_`k'==1
replace spell_hours_month_`k' = spell_hours_month_`i' if gap_`i'_`k'==1
replace j2j_`k' = j2j_`i' if gap_`i'_`k'==1
replace j2u_`k' = j2u_`i' if gap_`i'_`k'==1
replace u2j_`k' = u2j_`i' if gap_`i'_`k'==1
replace spell_type_`i'=. if gap_`i'_`k'==1
replace spell_start_`i'=. if gap_`i'_`k'==1
replace spell_start_month_`i'=. if gap_`i'_`k'==1
replace spell_start_year_`i'=. if gap_`i'_`k'==1
replace spell_end_`i'=. if gap_`i'_`k'==1
replace spell_end_month_`i'=. if gap_`i'_`k'==1
replace spell_end_year_`i'=. if gap_`i'_`k'==1
replace spell_stillengaged_`i'=. if gap_`i'_`k'==1
replace spell_duration_`i'=. if gap_`i'_`k'==1
replace spell_sector_`i'=. if gap_`i'_`k'==1
replace spell_size_`i'=. if gap_`i'_`k'==1
replace spell_earnings_`i'=. if gap_`i'_`k'==1
replace spell_earnings_first_`i'=. if gap_`i'_`k'==1
replace spell_hours_month_`i'=. if gap_`i'_`k'==1
replace j2j_`i'=. if gap_`i'_`k'==1
replace j2u_`i'=. if gap_`i'_`k'==1
replace u2j_`i'=. if gap_`i'_`k'==1
drop gap_`i'_`k'
local k=`k'-1
}
local i=`i'+1
}
* ok, no more gaps


*** DATA CHECKS

*** 1. check that spell_type_n is non missing only if spell_type_n-1 is non missing
local j=2
while `j'<=9 {
local i=1 
while `i'<=8 {
tab spell_type_`j' spell_type_`i' , m
local i=`i'+1
local j=`j'+1
}
}
*
*ok whenever spell_type_n is non missing also spell_type_n-1 is non missing
*ok problem of consecutive unemployment spells has been solved


*** 2. check that start dates of spells are increasing in spell number
local j=2
while `j'<=9 {
local i=1 
while `i'<=8 {
count if spell_start_`j'<spell_start_`i' & spell_start_`j'!=. & spell_start_`i'!=.
local i=`i'+1
local j=`j'+1
}
}
*ok all good


*** 3. check that if someone is still employed in spell 1 then all j2j etc are all 0
local i=1 
while `i'<=9 {
tab j2j_`i' if spell_stillengaged_`i'==1
tab j2u_`i' if spell_stillengaged_`i'==1
tab u2j_`i' if spell_stillengaged_`i'==1
local i=`i'+1
}
*only 3 case where j2j is non-zero 
br idno spell_start_1 spell_stillengaged_1 spell_end_1 spell_start_2  spell_stillengaged_2 spell_end_2 spell_start_3 spell_stillengaged_3 spell_end_3 spell_start_4 spell_stillengaged_4 spell_end_4 spell_start_5 spell_stillengaged_5 spell_end_5 spell_start_6 spell_stillengaged_6 spell_end_6 if (spell_stillengaged_2==1 & u2j_2==1) | (spell_stillengaged_3==1 & u2j_3==1)
*a couple of inconsistent cases - drop them
drop if spell_stillengaged_2==1 & u2j_2==1
drop if spell_stillengaged_3==1 & u2j_3==1


***check j2j etc correctly specified
local i=1 
local j=2
while `j'<=9 {
while `i'<=8 {
tab spell_type_`j' spell_type_`i' if j2j_`i'==1, m
local j=`j'+1
local i=`i'+1
}
}
*

***check u2j etc correctly specified
local i=1 
local j=2
while `j'<=9 {
while `i'<=8 {
tab spell_type_`j' spell_type_`i' if u2j_`i'==1, m
local j=`j'+1
local i=`i'+1
}
}
*

***check j2u etc correctly specified
local i=1 
local j=2
while `j'<=9 {
while `i'<=8 {
tab spell_type_`j' spell_type_`i' if j2u_`i'==1, m
local j=`j'+1
local i=`i'+1
}
}
*

*** check start date of earliest spell, by spell type
tab spell_start_1 if spell_type_1==0
*for unemployed people we have 1st August 2014 as the start date for the first unemployment spell, in case they had always reported as being unemployed throughout all the surveys

tab spell_start_1 if spell_type_1==1
* for employed people, we use actual date of start of spell (always asked)
* 10.5% of employment spells started before August 2013
* lets fix these to make sure every spell is RIGHT CENSORED at 01 August 2013


*** FINAL ADJUSTMENTS

*replace 0 earnings as missing and corresponding spell as missing also
replace spell_earnings_1=. if spell_earnings_1==0
replace spell_earnings_2=. if spell_earnings_2==0

*replace the first spell as missing for those workers reported as employed but with no reported earnings
replace spell_type_1=. if spell_earnings_1==. & (spell_type_1==1|spell_type_1==2)
replace spell_type_2=. if spell_earnings_2==. & (spell_type_2==1|spell_type_2==2)

*drop individuals with missing information on either of the first two spells 
drop if spell_type_2!=. & spell_type_1==.

** check that all information is correct now
tab spell_type_2 spell_type_1, m

count if (spell_type_1==1|spell_type_1==2) & spell_earnings_1==.
*0
count if (spell_type_2==1|spell_type_2==2) & spell_earnings_2==.
*0


** Drop individuals in the Untrained, Match treatment

codebook group_final_2
drop if group_final_2==3

** Merge with skills test score at second follow-up

gen followup=2
merge 1:1 idno followup using "${mystart}/Datasets/Panel Dataset_noBL.dta", keepusing(score_all)
drop if _m!=3
drop _m
*the 7 observations from the master dataset are the individuals not interviewed at baseline that were dropped in the main dataset

** Identify individuals just hired from unemployment

local i=2
while `i'<=9 {
local j=`i'-1
while `j'<=`i'-1 {
gen u2j_prev_`i'=(u2j_`j'==1) & u2j_`j'!=.
local j=`j'+1
}
local i=`i'+1
}
*

** Reshape dataset at the spell level

keep idno spell_type_1 - u2j_9 u2j_prev_* score_all tr_group sex_bl age_bl education_bl strata

reshape long spell_type_ spell_start_ spell_start_month_ spell_start_year_ spell_end_ spell_end_month_ spell_end_year_ spell_stillengaged_ ///
        spell_duration_ spell_sector_ spell_sector_eight_ spell_size_ spell_size_large_ spell_earnings_first_ spell_earnings_ j2j_ j2u_ u2j_ u2j_prev_, i(idno) j(spell_id)
		
gen l_spell_earnings=log(spell_earnings_+1)
gen l_spell_earnings_first=log(spell_earnings_first_+1)
gen l_score_all=log(score_all+1)	

gen VT_u2j=(tr_group==1 & u2j_prev_==1) if tr_group!=. & u2j_prev_!=.
gen FT_u2j=(tr_group==2 & u2j_prev_==1) if tr_group!=. & u2j_prev_!=.


** ii. Table **

* A10a) Actual Earnings, no Controls
xi:reg l_spell_earnings_first l_score_all ib0.tr_group if u2j_prev_==1, robust 

* a10b) Actual Earnings, Controls
xi:reg l_spell_earnings_first l_score_all ib0.tr_group sex_bl age_bl education_bl i.strata if u2j_prev_==1, robust 

* a10c) Actual Earnings, Treatment Interactions
tab tr_group, gen(treat)
foreach var of varlist treat2 treat3 {
gen `var'_lscore=`var'*l_score_all
}

xi:reg l_spell_earnings_first l_score_all ib0.tr_group treat2_lscore treat3_lscore if u2j_prev_==1, robust 

