************************************************************************
************************************************************************
** Table A3: The Mincerian Returns to Vocational Training, by Sector ***
************************************************************************
************************************************************************

*** FIRM CENSUS Data

use "${mystart}/Datasets/Firm Census.dta", clear
count
*2306

** i. Create variables **
** ii. Table **

* 2a)Share of firms in sector
tab trade_2_final 


*** FIRM CENSUS Employee Data

use "${mystart}/Datasets/Firm Census Employee.dta", clear

** Generate manufacturing and service sectors
gen manufacturing=(trade_2_final==1|trade_2_final==2|trade_2_final==6|trade_2_final==7|trade_2_final==8) if trade_2_final!=.

** Generate a dummy for skilled workers 
gen emp_skilled_vti=(emp_vti==1) if emp_vti!=.


* 2b)Percentage of workers skilled in sector
tab emp_skilled_vti
bys trade_2_final: tab emp_skilled_vti

** Generate variables for regressions

gen emp_tot_wage=0 if emp_pay==0 
replace emp_tot_wage=emp_income if emp_income!=. & emp_inkind_month==.
replace emp_tot_wage=emp_income+emp_inkind_month if emp_income!=. & emp_inkind_month!=.
*trim top 1%
tab emp_tot_wage
replace emp_tot_wage=. if emp_tot_wage>2100000

gen month_interview=month(idate)
replace month_interview=2 if month_interview==1
tab month_interview

*Deflate to August 2012 and convert in USD
*use PPI from UBOS - use PPI in first month of survey (Jan 2013) and August 2012 (July to Sept 2004=100)
*2493.73 exchange rate UGX USD August 2012
replace emp_tot_wage=(emp_tot_wage*257/258.4)/2493.73 
tab emp_tot_wage
gen l_emp_tot_wage=log(emp_tot_wage+1)

gen emp_age_sq=emp_age^2
gen emp_time_work_sq=emp_time_work^2


**Run regressions

* 2c)Wage regression
xi:reg emp_tot_wage emp_age emp_age_sq emp_sex emp_skilled_vti emp_time_work emp_time_work_sq total_emp_2 i.trade_2_final i.branch, robust
local i=1
while `i'<=8 {
xi:reg emp_tot_wage emp_age emp_age_sq emp_sex emp_skilled_vti emp_time_work emp_time_work_sq total_emp_2 i.branch if trade_2_final==`i', robust
local i=`i'+1
}

* 2d)Log(wage) regression
xi:reg l_emp_tot_wage emp_age emp_age_sq emp_sex emp_skilled_vti emp_time_work emp_time_work_sq total_emp_2 i.trade_2_final i.branch, robust
local i=1
while `i'<=8 {
xi:reg l_emp_tot_wage emp_age emp_age_sq emp_sex emp_skilled_vti emp_time_work emp_time_work_sq total_emp_2 i.branch if trade_2_final==`i', robust
local i=`i'+1
}
*
