**************************************************
**************************************************
** Table A4: Characteristics of Apprenticeships **
**************************************************
**************************************************

use "${mystart}/Datasets/Firm First Follow-up.dta", clear
count
*3206 

** i. Create variables **

** Only keep firms in the Control group
keep if ta==0

*rename variables for new employees
local i=0
local j=20
while `i'<=19 {
while `j'<=39 {
rename s3290_`i' s330_`j'
rename s3291_`i' s331_`j'
rename s3293_`i' s333_`j'
rename s3294_`i' s334_`j'
rename s3295_`i' s335_`j'
rename s3298_`i' s338_`j'
local j=`j'+1
local i=`i'+1
}
}
*

*reshape to create dataset at the employee level
reshape long s38_ s312_ s330_ s331_ s333_ s334_ s335_  s338_, i(bid) j(idno_worker)

count
*20,560=514*40 - ok

*keep only if any information on worker is available
keep if s330_!=.
count
*955 old and new employees employed at first follow-up


** ii. Table **

* 3a)Availability
*whether received OTJ
codebook s330_
replace s330_=. if s330_==2
sum s330_, d

*duration
tab s331_
replace s331_=. if s331_==0
sum s331_, d


* 3b)Payments
*in first month of training, was worker paid, unpaid or was he paying owner
tab s333_

*AVERAGE EXCHANGE RATE US DOLLAR-UGX AUGUST 2012: 1 USD=2493.73
*(source: http://www.oanda.com/currency/historical-rates/)
*for now, just convert all amounts in August 2012 USD
*use PPI from UBOS - use PPI in first month of survey (Mar 2014) and August 2012 (July to Sept 2004=100)
*2493.73 exchange rate UGX USD August 2012

*earnings in first month, conditional on being paid
tab s334_
sum s334_ if s334_>0, d
gen earnings_month=((s334_*257/256.9)/2493.73) 
*exclude top 1% 
tab earnings_month
replace earnings_month=. if earnings_month>100
sum earnings_month if earnings_month>0, d


*how much was paying owner, conditional on paying owner
sum s335_, d
gen paying_month=((s335_*257/256.9)/2493.73) 
*exclude top 1% 
tab paying_month
replace paying_month=. if paying_month>200 
sum paying_month, d


* 3d)Trainers
*involved in training worker
replace s338_=. if s338_==4 
tab s338_
