***************************
***************************
*** TABLE A5: Attrition ***
***************************
***************************

use "${mystart}/Datasets/Panel Dataset", clear


** i. Create variables **

** Generate variable to identify trainees successfully interviewed

gen trainee_attr=(interview_conducted!=1) if followup!=0
bys followup: tab trainee_attr 


** Generate additional covariates

sort idno followup
foreach var of varlist any_child married working score_high {
gen `var'_bl = `var' if followup==0
bysort idno (followup): replace `var'_bl = `var'_bl[_n-1] if followup==1
bysort idno (followup): replace `var'_bl = `var'_bl[_n-1] if followup==2
bysort idno (followup): replace `var'_bl = `var'_bl[_n-1] if followup==3
}

gen employed_bl_treatment=employed_bl*group_final_2
gen score_high_bl_treatment=score_high_bl*group_final_2

global X_bl "age_bl married_bl any_child_bl employed_bl score_high_bl"


** ii. Table **

*set sample for attrition regressions
qui xi:reg trainee_attr i.group_final_2 i.round_2 i.strata ${X_bl} if followup==3, robust
gen sample_att_3=e(sample)

* A4a)With covariates
** WITH COVARIATES
foreach var of varlist trainee_attr  {
sum `var' if group_final_2==0 & followup==3 & sample_att_3==1
xi:reg `var' i.group_final_2 i.round_2 i.strata ${X_bl} if followup==3 & sample_att_3==1, robust
test any_child_bl=employed_bl=score_high_bl=0
}
*

* A4b)Heterogenous
** COLUMN (2): INTERACTION WITH COGNITIVE SCORE AT BASELINE
foreach var of varlist trainee_attr  {
sum `var' if group_final_2==0 & followup==3 & sample_att_3==1
xi:reg `var' i.group_final_2 i.score_high_bl_treatment i.round_2 i.strata ${X_bl} if followup==3 & sample_att_3==1, robust
test any_child_bl=employed_bl=score_high_bl =0
test _Iscore_hig_1=_Iscore_hig_2=_Iscore_hig_3=_Iscore_hig_4=0
}
*

